summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Petar Petrov2011-10-09 19:45:06 +0200
committer Robby Workman2011-10-12 04:20:31 +0200
commite0323658f6b775ed0f3d2f53c10a3363fe7a27be (patch)
tree3d14d88f4b619ae39020f1387db9539a176cc62e /desktop
parent3e510c0c0f02ee1dcec67ed6e1ee2d4bbdab0c65 (diff)
downloadslackbuilds-e0323658f6b775ed0f3d2f53c10a3363fe7a27be.tar.gz
desktop/gtk1-theme-switch: Added (Theme chooser for GTK1)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/gtk1-theme-switch/README7
-rw-r--r--desktop/gtk1-theme-switch/doinst.sh3
-rw-r--r--desktop/gtk1-theme-switch/gtk1-theme-switch.SlackBuild95
-rw-r--r--desktop/gtk1-theme-switch/gtk1-theme-switch.desktop7
-rw-r--r--desktop/gtk1-theme-switch/gtk1-theme-switch.info10
-rw-r--r--desktop/gtk1-theme-switch/slack-desc19
6 files changed, 141 insertions, 0 deletions
diff --git a/desktop/gtk1-theme-switch/README b/desktop/gtk1-theme-switch/README
new file mode 100644
index 0000000000..2d50b58969
--- /dev/null
+++ b/desktop/gtk1-theme-switch/README
@@ -0,0 +1,7 @@
+This program allows you to preview and switch GTK1 themes. Please
+note, that this will list all GTK themes, as well as any XFCE window
+manager themes. So don't get confused by the long list and make sure
+the theme you select _is_ for GTK1.
+
+If you are looking for an easy to install GTK1 engine and theme,
+check the gtk1-industrial-engine, available from SlackBuilds.org.
diff --git a/desktop/gtk1-theme-switch/doinst.sh b/desktop/gtk1-theme-switch/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/gtk1-theme-switch/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/gtk1-theme-switch/gtk1-theme-switch.SlackBuild b/desktop/gtk1-theme-switch/gtk1-theme-switch.SlackBuild
new file mode 100644
index 0000000000..890bfaf1c1
--- /dev/null
+++ b/desktop/gtk1-theme-switch/gtk1-theme-switch.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for gtk1-theme-switch
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=gtk1-theme-switch
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=gtk-theme-switch
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Use our CFLAGS
+sed -i "/^CFLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+# Such a generic name, let's change it
+install -D -m755 switch $PKG/usr/bin/gtk1-switch
+
+# Put manpages to their proper place
+mkdir -p $PKG/usr/man/man1
+cp switch.1 $PKG/usr/man/man1/gtk1-switch.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog readme todo \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp expand.xpm $PKG/usr/share/pixmaps/gtk1-switch.xpm
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/gtk1-theme-switch/gtk1-theme-switch.desktop b/desktop/gtk1-theme-switch/gtk1-theme-switch.desktop
new file mode 100644
index 0000000000..b731086888
--- /dev/null
+++ b/desktop/gtk1-theme-switch/gtk1-theme-switch.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Categories=Utility;
+Exec=gtk1-switch
+Icon=gtk1-switch
+Name=GTK1 Theme Switch
+Type=Application
+GenericName=
diff --git a/desktop/gtk1-theme-switch/gtk1-theme-switch.info b/desktop/gtk1-theme-switch/gtk1-theme-switch.info
new file mode 100644
index 0000000000..e4653ad60d
--- /dev/null
+++ b/desktop/gtk1-theme-switch/gtk1-theme-switch.info
@@ -0,0 +1,10 @@
+PRGNAM="gtk1-theme-switch"
+VERSION="1.0.1"
+HOMEPAGE="http://www.muhri.net/"
+DOWNLOAD="http://www.muhri.net/gtk-theme-switch-1.0.1.tar.gz"
+MD5SUM="a1ce98489cbe410c5483e155e5834c46"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Erik Hanson"
diff --git a/desktop/gtk1-theme-switch/slack-desc b/desktop/gtk1-theme-switch/slack-desc
new file mode 100644
index 0000000000..00d978ab03
--- /dev/null
+++ b/desktop/gtk1-theme-switch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtk1-theme-switch: gtk1-theme-switch (Theme chooser for GTK1)
+gtk1-theme-switch:
+gtk1-theme-switch: Preview and switch GTK1 themes.
+gtk1-theme-switch:
+gtk1-theme-switch:
+gtk1-theme-switch:
+gtk1-theme-switch:
+gtk1-theme-switch:
+gtk1-theme-switch:
+gtk1-theme-switch:
+gtk1-theme-switch: \ No newline at end of file